Bug 1306905 - [abrt] Crash when deleting contacts in a WebDAV book
[abrt] Crash when deleting contacts in a WebDAV book
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2d105ee6acaec66eb8ed485af42...
:
: 1336145 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 01:33 EST by Peter
Modified: 2016-09-14 01:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 08:20:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (80.92 KB, text/plain)
2016-02-12 01:33 EST, Peter
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-12 01:33 EST, Peter
no flags Details
File: core_backtrace (63.72 KB, text/plain)
2016-02-12 01:33 EST, Peter
no flags Details
File: dso_list (18.85 KB, text/plain)
2016-02-12 01:33 EST, Peter
no flags Details
File: environ (850 bytes, text/plain)
2016-02-12 01:33 EST, Peter
no flags Details
File: exploitable (100 bytes, text/plain)
2016-02-12 01:33 EST, Peter
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-12 01:33 EST, Peter
no flags Details
File: maps (89.18 KB, text/plain)
2016-02-12 01:33 EST, Peter
no flags Details
File: mountinfo (3.70 KB, text/plain)
2016-02-12 01:33 EST, Peter
no flags Details
File: open_fds (937 bytes, text/plain)
2016-02-12 01:33 EST, Peter
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2016-02-12 01:33 EST, Peter
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-02-12 01:33 EST, Peter
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 762138 None None None 2016-02-16 08:20 EST

  None (edit)
Description Peter 2016-02-12 01:33:22 EST
Description of problem:
Deletet multiple identical contacts in the Owncloud.

Version-Release number of selected component:
evolution-data-server-3.18.4-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-addressbook-factory-subprocess --factory webdav --bus-name org.gnome.evolution.dataserver.Subprocess.Backend.AddressBookx2702x6 --own-path /org/gnome/evolution/dataserver/Subprocess/Backend/AddressBook/2702/6
crash_function: g_main_context_ref
executable:     /usr/libexec/evolution-addressbook-factory-subprocess
global_pid:     13405
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_main_context_ref at gmain.c:518
 #1 soup_socket_set_property at soup-socket.c:338
 #2 object_set_property at gobject.c:1420
 #3 g_object_new_internal at gobject.c:1833
 #4 g_object_new_valist at gobject.c:2038
 #5 soup_socket_new at soup-socket.c:823
 #6 soup_connection_connect_sync at soup-connection.c:462
 #7 get_connection at soup-session.c:1975
 #8 soup_session_process_queue_item at soup-session.c:1996
 #9 soup_session_real_send_message at soup-session.c:2246
Comment 1 Peter 2016-02-12 01:33:28 EST
Created attachment 1123351 [details]
File: backtrace
Comment 2 Peter 2016-02-12 01:33:29 EST
Created attachment 1123352 [details]
File: cgroup
Comment 3 Peter 2016-02-12 01:33:32 EST
Created attachment 1123353 [details]
File: core_backtrace
Comment 4 Peter 2016-02-12 01:33:35 EST
Created attachment 1123354 [details]
File: dso_list
Comment 5 Peter 2016-02-12 01:33:36 EST
Created attachment 1123355 [details]
File: environ
Comment 6 Peter 2016-02-12 01:33:38 EST
Created attachment 1123356 [details]
File: exploitable
Comment 7 Peter 2016-02-12 01:33:39 EST
Created attachment 1123357 [details]
File: limits
Comment 8 Peter 2016-02-12 01:33:42 EST
Created attachment 1123358 [details]
File: maps
Comment 9 Peter 2016-02-12 01:33:43 EST
Created attachment 1123359 [details]
File: mountinfo
Comment 10 Peter 2016-02-12 01:33:44 EST
Created attachment 1123360 [details]
File: open_fds
Comment 11 Peter 2016-02-12 01:33:46 EST
Created attachment 1123361 [details]
File: proc_pid_status
Comment 12 Peter 2016-02-12 01:33:48 EST
Created attachment 1123362 [details]
File: var_log_messages
Comment 13 Milan Crha 2016-02-16 08:20:33 EST
Thanks for a bug report. I see in the backtrace that there had been ongoing multiple contact deletions, for different contacts. I do not see from the backtrace what happened to the soup session in the background, though. 

I moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=762138
Comment 14 Milan Crha 2016-05-16 09:06:00 EDT
*** Bug 1336145 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.